For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
      • Studio API information
      • GETList Studio Projects
      • POSTUpdate Studio Project
      • GETGet Studio Project
      • POSTCreate Studio Project
      • DELDelete Studio Project
      • POSTConvert Studio Project
      • POSTUpdate Studio Project Content
      • GETList Studio Project Snapshots
      • GETGet Project Muted Tracks
      • STREAMStream Studio Project Audio
      • POSTStream Archive With Studio Project Audio
      • GETList Chapters
      • GETGet Chapter
      • POSTCreate Chapter
      • POSTUpdate Chapter
      • DELDelete Chapter
      • POSTConvert Chapter
      • GETList Chapter Snapshots
      • STREAMStream Chapter Audio
      • POSTCreate Pronunciation Dictionaries
      • POSTCreate Podcast
      • GETGet Chapter Snapshot
      • GETGet Project Snapshot
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenCreativeStudio

Get Chapter

GET
/v1/studio/projects/:project_id/chapters/:chapter_id
GET
/v1/studio/projects/:project_id/chapters/:chapter_id
$curl https://api.elevenlabs.io/v1/studio/projects/project_id/chapters/chapter_id
1{
2 "chapter_id": "aw1NgEzBg83R7vgmiJt6",
3 "name": "Chapter 1",
4 "can_be_downloaded": true,
5 "state": "default",
6 "content": {
7 "blocks": []
8 },
9 "last_conversion_date_unix": 1714204800,
10 "conversion_progress": 0.5,
11 "statistics": {
12 "characters_unconverted": 100,
13 "characters_converted": 200,
14 "paragraphs_converted": 5,
15 "paragraphs_unconverted": 3
16 }
17}
Returns information about a specific chapter.
Was this page helpful?
Previous

Create Chapter

Next
Built with

Path parameters

project_idstringRequired

The ID of the project to be used. You can use the List projects endpoint to list all the available projects.

chapter_idstringRequired

The ID of the chapter to be used. You can use the List project chapters endpoint to list all the available chapters.

Headers

xi-api-keystringOptional

Response

Successful Response
chapter_idstring
The ID of the chapter.
namestring
The name of the chapter.
can_be_downloadedboolean
Whether the chapter can be downloaded.
stateenum
The state of the chapter.
Allowed values:
contentobject
last_conversion_date_unixinteger or null
The last conversion date of the chapter.
conversion_progressdouble or null
The conversion progress of the chapter.
has_videoboolean or null
Whether the chapter has a video.
has_visual_contentboolean or null

Whether the chapter has any visual content (video, image, or text clips).

voice_idslist of strings or null
List of voice ids used by the chapter
statisticsobject or null
The statistics of the chapter.
last_conversion_errorstring or null
The last conversion error of the chapter.

Errors

422
Unprocessable Entity Error